Bug 1994967 - F35FailsToInstall: appstream-generator
Summary: F35FailsToInstall: appstream-generator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: appstream-generator
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On: 1987370
Blocks: F35FailsToInstall F35BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-08-18 08:40 UTC by Miro Hrončok
Modified: 2021-08-30 21:42 UTC (History)
2 users (show)

Fixed In Version: appstream-generator-0.8.5-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-30 21:42:13 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-08-18 08:40:24 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (appstream-generator) Fails To Install in Fedora 35:

can't install appstream-generator:
  - nothing provides libdruntime-ldc-shared.so.95()(64bit) needed by appstream-generator-0.8.2-3.fc35.x86_64
  - nothing provides libphobos2-ldc-shared.so.95()(64bit) needed by appstream-generator-0.8.2-3.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-08-25 23:01:30 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Neal Gompa 2021-08-26 02:14:01 UTC
Blocked by bug 1987370.

Comment 3 Fedora Update System 2021-08-29 00:52:15 UTC
FEDORA-2021-fb0ad9d8b7 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fb0ad9d8b7

Comment 4 Fedora Blocker Bugs Application 2021-08-29 00:54:16 UTC
Proposed as a Freeze Exception for 35-beta by Fedora user ngompa using the blocker tracking app because:

 We generally want FTBFS and FTI issues fixed for a release.

Comment 5 Fedora Update System 2021-08-29 17:52:18 UTC
FEDORA-2021-fb0ad9d8b7 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-fb0ad9d8b7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fb0ad9d8b7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Geoffrey Marr 2021-08-30 16:09:00 UTC
The decision to classify this bug as an "AcceptedFreezeException (Beta)" was made as it is a noticeable issue that cannot be fixed with an update.

Comment 7 Fedora Update System 2021-08-30 21:42:13 UTC
FEDORA-2021-fb0ad9d8b7 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.